// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Projects.Gui.Dialogs {
    
    
    internal partial class RenameConfigDialog {
        
        private Gtk.VBox vbox79;
        
        private Gtk.HBox hbox63;
        
        private Gtk.Label label106;
        
        private Gtk.Entry nameEntry;
        
        private Gtk.CheckButton renameChildrenCheck;
        
        private Gtk.Button button9;
        
        private Gtk.Button buttonOk;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Projects.Gui.Dialogs.RenameConfigDialog
            this.Name = "MonoDevelop.Projects.Gui.Dialogs.RenameConfigDialog";
            this.Title = MonoDevelop.Core.GettextCatalog.GetString("Rename Configuration");
            this.TypeHint = ((Gdk.WindowTypeHint)(1));
            // Internal child MonoDevelop.Projects.Gui.Dialogs.RenameConfigDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "vbox78";
            w1.BorderWidth = ((uint)(2));
            // Container child vbox78.Gtk.Box+BoxChild
            this.vbox79 = new Gtk.VBox();
            this.vbox79.Name = "vbox79";
            this.vbox79.Spacing = 6;
            this.vbox79.BorderWidth = ((uint)(7));
            // Container child vbox79.Gtk.Box+BoxChild
            this.hbox63 = new Gtk.HBox();
            this.hbox63.Name = "hbox63";
            this.hbox63.Spacing = 6;
            // Container child hbox63.Gtk.Box+BoxChild
            this.label106 = new Gtk.Label();
            this.label106.Name = "label106";
            this.label106.LabelProp = MonoDevelop.Core.GettextCatalog.GetString("New name:");
            this.hbox63.Add(this.label106);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox63[this.label106]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox63.Gtk.Box+BoxChild
            this.nameEntry = new Gtk.Entry();
            this.nameEntry.Name = "nameEntry";
            this.nameEntry.IsEditable = true;
            this.nameEntry.InvisibleChar = '●';
            this.hbox63.Add(this.nameEntry);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox63[this.nameEntry]));
            w3.Position = 1;
            this.vbox79.Add(this.hbox63);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox79[this.hbox63]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox79.Gtk.Box+BoxChild
            this.renameChildrenCheck = new Gtk.CheckButton();
            this.renameChildrenCheck.Name = "renameChildrenCheck";
            this.renameChildrenCheck.Label = MonoDevelop.Core.GettextCatalog.GetString("Rename configurations in all solution items");
            this.renameChildrenCheck.Active = true;
            this.renameChildrenCheck.DrawIndicator = true;
            this.renameChildrenCheck.UseUnderline = true;
            this.vbox79.Add(this.renameChildrenCheck);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox79[this.renameChildrenCheck]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            w1.Add(this.vbox79);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(w1[this.vbox79]));
            w6.Position = 0;
            // Internal child MonoDevelop.Projects.Gui.Dialogs.RenameConfigDialog.ActionArea
            Gtk.HButtonBox w7 = this.ActionArea;
            w7.Name = "hbuttonbox2";
            w7.Spacing = 6;
            w7.BorderWidth = ((uint)(5));
            w7.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child hbuttonbox2.Gtk.ButtonBox+ButtonBoxChild
            this.button9 = new Gtk.Button();
            this.button9.Name = "button9";
            this.button9.UseStock = true;
            this.button9.UseUnderline = true;
            this.button9.Label = "gtk-cancel";
            this.AddActionWidget(this.button9, -6);
            // Container child hbuttonbox2.Gtk.ButtonBox+ButtonBoxChild
            this.buttonOk = new Gtk.Button();
            this.buttonOk.Name = "buttonOk";
            this.buttonOk.UseStock = true;
            this.buttonOk.UseUnderline = true;
            this.buttonOk.Label = "gtk-ok";
            w7.Add(this.buttonOk);
            Gtk.ButtonBox.ButtonBoxChild w9 = ((Gtk.ButtonBox.ButtonBoxChild)(w7[this.buttonOk]));
            w9.Position = 1;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 371;
            this.DefaultHeight = 149;
            this.Show();
            this.buttonOk.Clicked += new System.EventHandler(this.OnButtonOkClicked);
        }
    }
}
